Bug 522944 - X hangs during startup with blank screen on i815
Summary: X hangs during startup with blank screen on i815
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 14:26 UTC by Ondrej Zary
Modified: 2018-04-11 11:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 22:07:31 UTC


Attachments (Terms of Use)
X log (30.03 KB, text/plain)
2009-09-12 14:26 UTC, Ondrej Zary
no flags Details
X log with i810e (30.06 KB, text/plain)
2009-09-12 15:15 UTC, Ondrej Zary
no flags Details

Description Ondrej Zary 2009-09-12 14:26:27 UTC
Created attachment 360785 [details]
X log

Description of problem:
When starting X on MS-6337 mainboard (i815 chipset), the screen goes blank (VGA signal is present) and machine hangs completely. There is no KMS support for this chipset, so "nomodeset" kernel parameter does not apply.

Version-Release number of selected component (if applicable):
from Fedora Test Day 20090908 Live CD

How reproducible:
Always.

Steps to Reproduce:
1. Boot the Live CD
  
Actual results:
Blank screen and hanged machine.

Expected results:
Working X.

Additional info:
http://www.smolts.org/client/show/pub_8eb29e61-d77d-4d6c-9d1c-54110ae763ba

Comment 1 Ondrej Zary 2009-09-12 15:15:44 UTC
Created attachment 360787 [details]
X log with i810e

The same thing happens with i810e. HW: http://www.smolts.org/client/show/pub_cf6936b8-c277-4841-a85d-7608c2a72386

Comment 2 Adam Williamson 2009-09-18 04:18:07 UTC
can you test with a later image? also, can you try disabling DRI and see if that changes anything? you'd have to boot to initlevel 3, and create a /etc/X11/xorg.conf including 'Option "DRI" "off"' in the Device section...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Ondrej Zary 2009-09-19 15:51:01 UTC
It works with desktop-i386-20090917.16.iso on both i815 and i810e. i815 booted completely to the desktop, i810e probably does not have enough memory (192MB) - but the wallpaper was visible so I assume that it will work with more memory.

Comment 4 Adam Williamson 2009-09-21 15:46:17 UTC
yeah...that's pretty marginal for a live CD, I suspect. There is an LXDE build:

http://alt.fedoraproject.org/pub/alt/nightly-composes/lxde/

which should take less memory, you could try that? (as I write this there's no image there as it's in the middle of synchronizing, should be there in a couple of hours though).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Matěj Cepl 2009-11-05 17:16:19 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Ondrej Zary 2009-11-05 22:01:25 UTC
It seems to be broken again with desktop-i386-20091102.16.iso. X started, GDM appeared and disappeared immediately. System hanged completely with only wallpaper and mouse cursor on the screen.

Comment 8 Adam Williamson 2009-11-06 01:54:08 UTC
can you try with tomorrow's live builds when they land? 2009-11-06 that is.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Ondrej Zary 2009-11-07 18:05:02 UTC
It works again with desktop-i386-20091106.16.iso.

But DRI is broken - glxgears are broken into lines, many of which are drawn outside the window. After maximizing the window, machine crashes - blank screen and caps&num lock LEDs blinking (kernel panic?) I'll open a new bug for this.

Comment 10 Chris Campbell 2009-11-07 22:07:31 UTC
Setting this bug to closed. OP indicates new bug and bug repo being opened for it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Chris Campbell 2009-11-07 22:11:22 UTC
Fixing a missed status :) thanks mcepl

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.